.modal {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 3203;
    text-align: center;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    overflow-y: auto;
}

.modal-backdrop{
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background:#000;
    opacity: 0.5;
    filter:Alpha(Opacity=50);
    position: fixed;
}

.modal-body {
    background-color: white;
    display: flex;
    flex-direction: column;
    min-height: 0px;
    text-align: left;
    box-shadow: 0 0 20px #222;
    -webkit-box-shadow: 0 0 20px #222;
    position: relative;
    z-index: 1;
    max-width: 93%;
    align-self: center;
    max-height: 93%;
    overflow: auto;
    .form-field{
        table-layout: auto;
    }
}

.modal-header{
    background-color:$background-color-table-header;
    font-weight: bold;
    position: relative;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    height: 60px;
}

.modal-title{
    margin: 1.15em 45px 1.15em 1.3em;
    font-size: 1.231em;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    color:#000;
}

.modal-download{
    font-size: 1.231em;
}

.modal-content{
    padding: 10px 20px 20px;
    min-height: 0px;
    flex:1;

    form{
        width: 550px;
    }
}

.modal-content form{
    width: 550px;
} 

.modal-content form.modal-medium{
    width:700px;
}

.modal-content form.modal-large{
    width:920px;
}

.ie8 .modal select,
.ie9 .modal select{
    width:100%;
}

.confirm .modal-body{
    max-width:450px;
}

.confirm .confirm-label{
    padding:10px 0 20px;
}

.modal-fullscreen{
    .modal-body{
        position:fixed;
        top:0;
        left:0;
        bottom:0;
        right:0;
        max-width: inherit;
        max-height: inherit;
    }
    .modal-content{
        position:relative;
        max-height: 100%;
        position:absolute;
        padding:0 !important;
        top:62px;
        left:0;
        right:0;
        bottom:0;
        iframe{
            position:absolute;
            top:0;
            left:0;
            right:0;
            bottom:0;
            width:100% !important;
            height:100% !important;
            border:none;
        }
    }
}

body.modal-open{
    position: fixed;
    width: 100%;
    height: 100%;
}

@media only screen and (max-width: 1000px) {
    .modal-body {
        width: 100%;
        height: 100%;
        max-width: 100%;
        max-height: 100%;
    }
}
